<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="bdc_sub_marche_cns" language="groovy" pageWidth="538" pageHeight="36" columnWidth="538" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0">
	<property name="ireport.zoom" value="2.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="commid" class="java.math.BigDecimal"/>
	<queryString>
		<![CDATA[select distinct a.ce_ordre , cm.CM_CODE, cm.CM_LIB, cm.CM_LIB_COURT, sum(ART_PRIX_TOTAL_HT) total_ht, sum(ART_PRIX_TOTAL_TTC) total_TTC
from jefy_depense.article a
inner join jefy_depense.v_code_exer ce on a.ce_ordre=ce.ce_ordre
inner join jefy_depense.v_code_marche cm on cm.CM_ORDRE = ce.CM_ORDRE
where comm_id=$P{commid}
group by a.ce_ordre, cm.CM_CODE, cm.CM_LIB, cm.CM_LIB_COURT
order by cm.CM_CODE]]>
	</queryString>
	<field name="CE_ORDRE" class="java.math.BigDecimal"/>
	<field name="CM_CODE" class="java.lang.String"/>
	<field name="CM_LIB" class="java.lang.String"/>
	<field name="CM_LIB_COURT" class="java.lang.String"/>
	<field name="TOTAL_HT" class="java.math.BigDecimal"/>
	<field name="TOTAL_TTC" class="java.math.BigDecimal"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band splitType="Stretch"/>
	</title>
	<pageHeader>
		<band splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="12" splitType="Stretch">
			<rectangle>
				<reportElement x="0" y="0" width="538" height="12"/>
			</rectangle>
			<textField>
				<reportElement x="366" y="0" width="81" height="12"/>
				<box topPadding="1" leftPadding="2" bottomPadding="1" rightPadding="2"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="8" isBold="true" isItalic="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Montant HT"]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="0" y="0" width="95" height="12" isPrintWhenDetailOverflows="true"/>
				<box topPadding="1" leftPadding="2" bottomPadding="1" rightPadding="2"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="Arial" size="8" isBold="true" isItalic="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Code"]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement x="94" y="0" width="273" height="12" isPrintWhenDetailOverflows="true"/>
				<box topPadding="1" leftPadding="2" bottomPadding="1" rightPadding="2"/>
				<textElement verticalAlignment="Middle">
					<font fontName="Arial" size="8" isBold="true" isItalic="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Libellé de nomenclature"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="446" y="0" width="92" height="12"/>
				<box topPadding="1" leftPadding="2" bottomPadding="1" rightPadding="4"/>
				<textElement textAlignment="Right" verticalAlignment="Middle">
					<font fontName="Arial" size="8" isBold="true" isItalic="true"/>
				</textElement>
				<textFieldExpression><![CDATA["Montant TTC"]]></textFieldExpression>
			</textField>
		</band>
	</columnHeader>
	<detail>
		<band height="14" splitType="Stretch">
			<rectangle>
				<reportElement stretchType="RelativeToBandHeight" x="0" y="0" width="538" height="14"/>
			</rectangle>
			<textField isStretchWithOverflow="true">
				<reportElement stretchType="RelativeToBandHeight" x="94" y="0" width="273" height="14" isPrintWhenDetailOverflows="true"/>
				<box topPadding="2" leftPadding="2" bottomPadding="2" rightPadding="2"/>
				<textElement>
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CM_LIB}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;-#,##0.00">
				<reportElement stretchType="RelativeToBandHeight" x="446" y="0" width="92" height="14"/>
				<box topPadding="2" leftPadding="2" bottomPadding="2" rightPadding="4"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{TOTAL_TTC}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true">
				<reportElement stretchType="RelativeToBandHeight" x="0" y="0" width="95" height="14" isPrintWhenDetailOverflows="true"/>
				<box topPadding="2" leftPadding="2" bottomPadding="2" rightPadding="2"/>
				<textElement textAlignment="Center">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CM_CODE}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;-#,##0.00">
				<reportElement stretchType="RelativeToBandHeight" x="366" y="0" width="81" height="14"/>
				<box topPadding="2" leftPadding="2" bottomPadding="2" rightPadding="2"/>
				<textElement textAlignment="Right">
					<font fontName="Arial" size="8"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{TOTAL_HT}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band splitType="Stretch"/>
	</summary>
</jasperReport>
